#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/raddb/clients.new
config etc/raddb/dictionary.new
config etc/raddb/hints.new
config etc/raddb/huntgroups.new
config etc/raddb/naslist.new
config etc/raddb/naspasswd.new
config etc/raddb/realms.new
config etc/raddb/users.new

